Older Versions of TechTool Pro

If your Mac is running an older version of Mac OS X, and doesn't support the current version of TechTool Pro, we can find the right version for your Mac.

First, contact our tech support staff by emailing This email address is being protected from spambots. You need JavaScript enabled to view it. with the following information:

1) Your model of computer (ie MacBook, iMac, MacMini etc.)

2) Your Mac's processor (ie Intel Core i7 3.0 GHz)

3) Amount of RAM installed (ie 8 GB)

4) Version of OS X installed on your Mac

Our tech support staff will provide you with the information on the appropriate version of TechTool Pro that will work with your older Mac and how to obtain a copy of that older version.